# OpenVAS-Client
# $Id$
# Description: Makefile for GUI modules
#
# Authors:
# Jan-Oliver Wagner <jan.oliver.wagner@intevation.de>
#
# Copyright:
# Copyright (C) 2007, 2008 Intevation GmbH
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# In addition, as a special exception, you have
# permission to link the code of this program with the OpenSSL
# library (or with modified versions of OpenSSL that use the same
# license as OpenSSL), and distribute linked combinations including
# the two. You must obey the GNU General Public License in all
# respects for all of the code used other than OpenSSL. If you
# modify this file, you may extend this exception to your version
# of the file, but you are not obligated to do so. If you do not
# wish to do so, delete this exception statement from your version.
#/

include ../../nessus.tmpl

GTKLIBS= $(GTKCONFIG_LIBS)
INCLUDE = ${include} $(GTKCONFIG_CFLAGS) -I../../nessus -I.. -I../../nessus/prefs_dialog -I../openvas-lib -I../../libnessus -I../util

OPENVAS_INCLUDE=`sh ./cflags`
CFLAGS+=-Wall

# Add some specific Windows compile options for Cygwin
SYSTEM:=$(shell uname -o)
ifeq ($(SYSTEM), Cygwin)
CFLAGS+=-mms-bitfields
LDFLAGS+=-mwindows
endif

OBJS=about_dlg.o error_dlg.o slad_install.o ssh_keys_dialog.o treeview_support.o \
	ssh_key_info_form.o nvt_pref_sshlogin.o severityfiltermngr_dlg.o \
	severity_override_form.o

all : cflags $(OBJS)

cflags : Makefile
	@echo "$(NESSUS_CFLAGS) $(NESSUS_DEFS) -DPACKAGE=\"OpenVAS-Client\" $(INCLUDE)"  | sed 's/\"/\\\"/g' > cflags.tmp
	@echo "echo \"`cat cflags.tmp`\"" > cflags
	@rm cflags.tmp
	@chmod +x cflags

about_dlg.o : cflags about_dlg.c ../../nessus/globals.h \
 ../xpm/OpenVAS-logo.xpm ../xpm/logo_intevation.xpm ../xpm/logo_bsi.xpm \
 ../xpm/logo_bsi_de.xpm
	$(CC) $(CFLAGS) $(OPENVAS_INCLUDE) -c about_dlg.c

error_dlg.o : cflags error_dlg.c error_dlg.h ../../nessus/globals.h
	$(CC) $(CFLAGS) $(OPENVAS_INCLUDE) -c error_dlg.c 

slad_install.o : cflags slad_install.c
	$(CC) $(CFLAGS) $(OPENVAS_INCLUDE) -c slad_install.c

ssh_keys_dialog.o : cflags ssh_keys_dialog.c
	$(CC) $(CFLAGS) $(OPENVAS_INCLUDE) -c ssh_keys_dialog.c

ssh_key_info_form.o : cflags ssh_key_info_form.c
	$(CC) $(CFLAGS) $(OPENVAS_INCLUDE) -c ssh_key_info_form.c

treeview_support.o : cflags treeview_support.c
	$(CC) $(CFLAGS) $(OPENVAS_INCLUDE) -c treeview_support.c

nvt_pref_sshlogin.o : cflags nvt_pref_sshlogin.c
	$(CC) $(CFLAGS) $(OPENVAS_INCLUDE) -c nvt_pref_sshlogin.c

severityfiltermngr_dlg.o : cflags severityfiltermngr_dlg.c
	$(CC) $(CFLAGS) $(OPENVAS_INCLUDE) -c severityfiltermngr_dlg.c

severity_override_form.o: cflags severity_override_form.c severity_override_form.h
	$(CC) $(CFLAGS) $(OPENVAS_INCLUDE) -c severity_override_form.c

clean :
	rm -f *.o cflags
